type: google.api.Service
config_version: 3
name: cloudtrace.googleapis.com
title: Stackdriver Trace API

apis:
- name: google.devtools.cloudtrace.v2.TraceService

documentation:
  summary: |-
    Send and retrieve trace data from Stackdriver Trace. Data is generated and
    available by default for all App Engine applications. Data from other
    applications can be written to Stackdriver Trace for display, reporting, and
    analysis.

authentication:
  rules:
  - selector: '*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/trace.append
